package com.ywt.mg.models.PrescriptionPushApiRequest;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;

public class PatientInfo implements Serializable {

    /**
     * 患者姓名
     */
    @JsonProperty("name")
    private String name;

    /**
     * 患者生日,yyyy-mm-dd格式
     */
    @JsonProperty("birthday")
    private String birthday;

    /**
     * 患者年龄,如55岁1月15天,100天等
     */
    @JsonProperty("age")
    private String age;

    /**
     * 患者编号
     */
    @JsonProperty("patientNumber")
    private String patientNumber;

    /**
     * 证件类型,见证件类型附表：01-身份证
     */
    @JsonProperty("idType")
    private String idType;

    /**
     * 证件号码
     */
    @JsonProperty("idCard")
    private String idCard;

    /**
     * 手机号码
     */
    @JsonProperty("phoneNumber")
    private String phoneNumber;

    /**
     * 患者诊疗卡号,如果与患者编号相同,则给患者编号
     */
    @JsonProperty("patientCardNumber")
    private String patientCardNumber;

    /**
     * 性别,见性别附表： 0-未知的性别, 1-男, 2-女, 9-未说明的性别
     */
    @JsonProperty("gender")
    private String gender;

    /**
     * 体重
     */
    @JsonProperty("weight")
    private String weight;

    /**
     * 身高
     */
    @JsonProperty("height")
    private String height;

    /**
     * 患者类型,请参照附表（尚未提供）
     */
    @JsonProperty("patientType")
    private String patientType;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getPatientNumber() {
        return patientNumber;
    }

    public void setPatientNumber(String patientNumber) {
        this.patientNumber = patientNumber;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getPatientCardNumber() {
        return patientCardNumber;
    }

    public void setPatientCardNumber(String patientCardNumber) {
        this.patientCardNumber = patientCardNumber;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getPatientType() {
        return patientType;
    }

    public void setPatientType(String patientType) {
        this.patientType = patientType;
    }
}
